Bug 488776 - X screen stays black after wakeup from suspend with opensource nv xorg driver
X screen stays black after wakeup from suspend with opensource nv xorg driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 12:59 EST by Helge Deller
Modified: 2009-12-18 03:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:57:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (1.29 MB, text/plain)
2009-03-05 12:59 EST, Helge Deller
no flags Details

  None (edit)
Description Helge Deller 2009-03-05 12:59:08 EST
Created attachment 334167 [details]
Xorg.0.log

Description of problem:
- IBM/Lenovo Thinkpad T61
- suspending the laptop works fine.
- when waking up, all services come back, but Xorg screen (Laptop display and external monitor) stay black.

Version-Release number of selected component (if applicable):
Fedora10, all updates included.

How reproducible:
always

lspci:
01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 140M (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Lenovo ThinkPad T61                                                                      
        Flags: bus master, fast devsel, latency 0, IRQ 10                                                   
        Memory at d6000000 (32-bit, non-prefetchable) [size=16M]                                            
        Memory at e0000000 (64-bit, prefetchable) [size=256M]                                               
        Memory at d4000000 (64-bit, non-prefetchable) [size=32M]                                            
        I/O ports at 2000 [size=128]                                                                        
        Capabilities: [60] Power Management version 2                                                       
        Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-                     
        Capabilities: [78] Express Endpoint, MSI 00                                                         
        Capabilities: [100] Virtual Channel <?>                                                             
        Capabilities: [128] Power Budgeting <?>                                                             
        Capabilities: [600] Vendor Specific Information <?>                                                 
        Kernel modules: nvidiafb
Comment 1 Helge Deller 2009-03-13 06:29:13 EDT
I did some more testing and it seems that the X is not the culprit in this problem, as suspend-to-disk does work and suspend-to-ram from text console is broken too.

[root@ls3530 ~]# uname -a
Linux ls3530 2.6.27.19-170.2.35.fc10.i686.PAE #1 SMP Mon Feb 23 13:09:26 EST 2009 i686 i686 i386 GNU/Linux
Comment 2 William Lovaton 2009-11-02 21:23:14 EST
Hello, is this still a problem for you? can you try Fedora 12 Rawhide? the nouveau driver is working fine with me.  I get KMS and plymouth working nicely on boot and suspend to ram and suspend to disk is working fine too.

My hardware is a G72M [GeForce Go 7400] card.

The only thing missing is 3D support, but that will take a little bit longer.
Comment 3 Bug Zapper 2009-11-18 06:17:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 03:57:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.